#if !defined(AFX_FORMATDATEDLG_H__0AD1F4D8_44D9_404F_9716_9A6645D6B38E__INCLUDED_)
#define AFX_FORMATDATEDLG_H__0AD1F4D8_44D9_404F_9716_9A6645D6B38E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FormatDateDlg.h : header file
//
#include "ImageFileFormat.h"
#include <vector>
#include <string>

/////////////////////////////////////////////////////////////////////////////
// FormatDateDlg dialog

class FormatDateDlg : public CDialog
{
// Construction
public:
	FormatDateDlg(CWnd* pParent = NULL);   // standard constructor
  std::vector<int> GetOrder() const { return m_order; }
  bool GetYearFormat() const { return m_four_year; }
  CString GetSeparator() const { return m_date_separator; }
  Date_Format GetDateFormat() ;
  void SetFormat(Date_Format temp) { m_order = temp.order; 
                                     m_four_year = temp.four_year;
                                     m_date_separator = temp.date_delim; }

// Dialog Data
	//{{AFX_DATA(FormatDateDlg)
	enum { IDD = IDD_DATE_FORMAT_DIALOG };
	CButton	m_year_digit_4;
	CButton	m_year_digit_2;
	CEdit	m_element_separator;
	CButton	m_year_3;
	CButton	m_year_2;
	CButton	m_year_1;
	CButton	m_month_3;
	CButton	m_month_2;
	CButton	m_month_1;
	CButton	m_day_2;
	CButton	m_day_3;
	CButton	m_day_1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(FormatDateDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

  void UpdateChecks(int type, int selected);
  std::vector<CButton*> GetVector(int type);
  void UpdateOrder();
  void Initialize();
	// Generated message map functions
	//{{AFX_MSG(FormatDateDlg)
	afx_msg void OnRadioDay1();
	afx_msg void OnRadioDay2();
	afx_msg void OnRadioDay3();
	afx_msg void OnKillfocusEditSeparator();
	afx_msg void OnRadioDigit();
	afx_msg void OnRadioDigit2();
	afx_msg void OnRadioMonth1();
	afx_msg void OnRadioMonth2();
	afx_msg void OnRadioMonth3();
	afx_msg void OnRadioYear1();
	afx_msg void OnRadioYear2();
	afx_msg void OnRadioYear3();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  private:

  std::vector<int> m_order;
  bool m_four_year;
  CString m_date_separator;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMATDATEDLG_H__0AD1F4D8_44D9_404F_9716_9A6645D6B38E__INCLUDED_)
